Skip to content

List commissions

GET
/api/v1/commissions
curl --request GET \
--url 'https://example.com/api/v1/commissions?page=1&per_page=10&settlement_status=unsettled' \
--header 'Authorization: Bearer <token>'
ids
Array<string>

Filter by commission IDs

partner_ids
Array<string>

Filter by partner IDs

attribution_ids
Array<string>

Filter by attribution IDs

workspace_ids
Array<string>

Filter by workspace IDs

page
integer
default: 1

Page number for pagination (default: 1)

per_page
integer
default: 10

Number of items per page for pagination (default: 10)

settlement_status
string
Allowed values: unsettled pending_settlement settled

Filter by settlement status

OK

Media type application/json
object
commissions
required
Array<object>
object
id
required

Unique identifier for the commission

string format: uuid
partner_id
required

ID of the partner this commission belongs to

string format: uuid
attribution_id
required

ID of the attribution that triggered this commission

string format: uuid
customer_id
required

ID of the customer this commission belongs to

string format: uuid
commission_formula_id
required

ID of the commission formula used to compute this commission

string format: uuid
workspace_id
required

ID of the workspace this commission belongs to

string format: uuid
currency
required

ISO 4217 currency code (e.g. EUR, USD)

string
events
required

Ordered list of events representing the lifecycle of this commission

Array<object>
object
datetime
required

Timestamp when the event occurred

string format: date-time
event
required
One of: discriminator: type
object
type
required
string
Allowed values: create_commission
amount
required

Amount of the commission

number
view
required
object
created_at

Timestamp when the commission was created

string format: date-time
nullable
computed_amount

Cached total commission amount. Null until computed at least once.

integer format: int64
nullable
settlement_status
required

Settlement state of the commission

string
Allowed values: unsettled pending_settlement settled
total
required

Total number of commissions matching the query

integer format: int64
page
required

Current page number

integer format: int64
per_page
required

Number of items per page

integer format: int64
Example
{
"commissions": [
{
"events": [
{
"event": {
"type": "create_commission"
}
}
],
"view": {
"settlement_status": "unsettled"
}
}
]
}

Unauthorized

Media type application/json
object
error_code
required
string
Allowed values: UNAUTHORIZED NOT_FOUND INTERNAL_ERROR BAD_REQUEST FORBIDDEN CONFLICT
message
required
string
Example
{
"error_code": "UNAUTHORIZED",
"message": "Authentication credentials were not provided or are invalid."
}

Forbidden

Media type application/json
object
error_code
required
string
Allowed values: UNAUTHORIZED NOT_FOUND INTERNAL_ERROR BAD_REQUEST FORBIDDEN CONFLICT
message
required
string
Example
{
"error_code": "UNAUTHORIZED",
"message": "Authentication credentials were not provided or are invalid."
}

Internal Server Error

Media type application/json
object
error_code
required
string
Allowed values: UNAUTHORIZED NOT_FOUND INTERNAL_ERROR BAD_REQUEST FORBIDDEN CONFLICT
message
required
string
Example
{
"error_code": "UNAUTHORIZED",
"message": "Authentication credentials were not provided or are invalid."
}